{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.attacking": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": [
            "stand",
            "look_at_target",
            {
              "walk": "query.modified_move_speed"
            }
          ],
          "blend_transition": 0.2,
          "blend_via_shortest_path": true,
          "transitions": [
            {
              "sitting": "query.is_sitting"
            },
            {
              "attack": "variable.attack_time \u003e 0.0"
            }
          ]
        },
        "sitting": {
          "animations": [
            "sit",
            "look_at_target"
          ],
          "blend_transition": 0.2,
          "blend_via_shortest_path": true,
          "transitions": [
            {
              "default": "!query.is_sitting"
            }
          ]
        },
        "move": {
          "animations": [
            "walk"
          ],
          "blend_transition": 0.3,
          "blend_via_shortest_path": true,
          "transitions": [
            {
              "walk": "query.modified_move_speed"
            }
          ]
        },
        "attack": {
          "animations": [
            "attack"
          ],
          "blend_transition": 1,
          "blend_via_shortest_path": true,
          "transitions": [
            {
              "default": "variable.attack_time \u003c\u003d 0"
            }
          ]
        }
      }
    }
  }
}